"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const widgets_1 = require("@lumino/widgets");
const notebook_1 = require("@jupyterlab/notebook");
const utils_1 = require("./utils");
const widget_1 = require("./widget");
class PowerpointTool extends notebook_1.NotebookTools.Tool {
    // tslint:disable-next-line:variable-name
    constructor(app, notebook_Tracker, cellTools) {
        super();
        this.notebookTracker = null;
        this.cellTools = null;
        this.widget = null;
        this.notebookTracker = notebook_Tracker;
        this.cellTools = cellTools;
        const layout = (this.layout = new widgets_1.PanelLayout());
        this.addClass(utils_1.POWERPOINT_TOOL_CLASS);
        this.widget = new widget_1.PowerpointWidget();
        this.widget.notebookTracker = notebook_Tracker;
        layout.addWidget(this.widget);
    }
    /**
     * Handle a change to the active cell.
     */
    onActiveCellChanged(msg) {
        this.widget.currentActiveCell = this.cellTools.activeCell;
        this.widget.loadActiveCell();
    }
    // tslint:disable-next-line:no-empty
    onAfterShow() {
    }
    onAfterAttach() {
        this.notebookTracker.currentWidget.context.ready.then(() => {
            this.widget.loadActiveCell();
        });
        this.notebookTracker.currentChanged.connect(() => {
            this.widget.loadActiveCell();
        });
        this.notebookTracker.currentWidget.model.cells.changed.connect(() => {
            this.widget.loadActiveCell();
        });
    }
    onMetadataChanged(msg) {
        this.widget.loadActiveCell();
    }
}
exports.PowerpointTool = PowerpointTool;
